dict_t Struct Reference

a structure for a dictionary. More...

`#include <dict.h>`

## Data Fields

int | refcnt
bin_mdef_t * | mdef
| Model definition used for phone IDs; NULL if none used.
dictword_t * | word
| Array of entries in dictionary.
hash_table_t * | ht
| Hash table for mapping word strings to word ids.
int32 | max_words
| #Entries allocated in dict, including empty slots
int32 | n_word
| #Occupied entries in dict; ie, excluding empty slots
int32 | filler_start
| First filler word id (read from filler dict)
int32 | filler_end
| Last filler word id (read from filler dict)
s3wid_t | startwid
| FOR INTERNAL-USE ONLY.
s3wid_t | finishwid
| FOR INTERNAL-USE ONLY.
s3wid_t | silwid
| FOR INTERNAL-USE ONLY.
int | nocase

## Detailed Description

a structure for a dictionary.

Definition at line 76 of file dict.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/dict.h